
 /****************************
 * CHAMPS DU TABLEAU EDITABLE *
 * @event ONCLICK
 */
 
$.fn.editable.defaults.mode = 'inline';

// INPUT EDITABLE
$('.editable-item-text').editable({
	type: 'text',
	url: '/scm/ajax/global.ajx.php',
	send: 'always',
	dataType: 'json',
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}
}).on('shown',function(e,editable)
{
	if(editable) 
	{
		// Texte séléctionné par défaut
		editable.input.postrender = function(){	editable.input.$input.select(); };
		
		// Changement à l'input suivant par TAB
		editable.input.$input.on('keydown', function(e) 
		{
			if(e.type=='keydown' && e.which == 9) 
			{
				e.preventDefault();
				console.log('this', this);
				var next = nextField($(this), e.shiftKey);
				var form = $(this).closest('td').find('form');
				form.submit();
				
				if(form.has('div.has-error').length > 0)
				{
					console.log('Found error, cancel !');
				} 
				else
				{
					next.editable('show');
				}
			}
		});
	}
});

/****************************
 * AJOUTE UNE NOUVELLE RECETTE *
 * @event ONCLICK
 */

$('#addRecette').live('click',function(e)
{
	e.preventDefault();
	
	var tab  		= $('#addRecetteTab tr:first');
	var code 		= $(this).attr('data-code');
	var appendTxt 	= '';
	
	appendTxt += '<tr class="new">';
	appendTxt += '<td><a class="editable-item-text" data-name="libelle" data-params="{\'typeAjx\':\'16\'}">Nom du libellé</a></td>';
	appendTxt += '<td><div><div id="styleSpan0" class="flol styleSpan item-color" style="background:#000;"></div>';
	appendTxt += '<input class="flol ghost jscolor {styleElement:\'styleSpan0\',value:\'#000\'}" type="text" onfocus="this.jscolor.show();" />';
	appendTxt += '<div class="fin"></div></div></td>';
	appendTxt += '<td></td>';
	appendTxt += '</tr>';
	
	$(tab).after(appendTxt);	

	// INPUT EDITABLE
	$('.editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		showbuttons: false,
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}
	});
});


/****************************
 * AJOUTE UNE NOUVELLE DEPENSE *
 * @event ONCLICK
 */

$('#addDepense').live('click',function(e)
{
	e.preventDefault();
	
	var tab  		= $('#addDepenseTab tr:first');
	var code 		= $(this).attr('data-code');
	var appendTxt 	= '';
	
	appendTxt += '<tr class="new">';
	appendTxt += '<td><a class="editable-item-text" data-name="libelle" data-params="{\'typeAjx\':\'17\'}">Nom du libellé</a></td>';
	appendTxt += '<td><div><div id="styleSpan01" class="flol styleSpan item-color" style="background:#000;"></div>';
	appendTxt += '<input class="flol ghost jscolor {styleElement:\'styleSpan01\',value:\'#000\'}" type="text" onfocus="this.jscolor.show();" />';
	appendTxt += '<div class="fin"></div></div></td>';
	appendTxt += '<td></td>';
	appendTxt += '</tr>';
	
	$(tab).after(appendTxt);	
	
	// INPUT EDITABLE
	$('.editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		showbuttons: false,
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}
	});
});


/***********************
 * COLOR *
 * Met à jour la couleur des grades *
 */

$('.styleSpan').live('click',function()
{
	$(this).next().focus();
});

$('.jscolor.ghost').live('change',function()
{
	var color 	= this.jscolor;
	var pk 		= $(this).parents('tr').find('a.editable').attr('data-pk');
	var ajx 	= $(this).parents('tr').find('a.editable').attr('data-ajx');
	
	$.ajax(
	{
		type		: 'POST',
		url			: '/scm/ajax/global.ajx.php',
		data		: 'typeAjx='+ajx+'&color='+color+'&pk='+pk,
		dataType	: 'json',
		beforeSend 	: function()
		{
			clearTimeout(loadingTimer);
			loadingTimer = setTimeout(showLoading,3000);
		},
		success		: function(data)
		{
			if(data['erreur']!=='' && data['erreur']!=null)
			{
				swal('Erreur!',data['erreur'],'error');
			}
			else
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(data['reponse']);
			}
		},
		complete 	: function()
		{
			clearTimeout(loadingTimer);
			hideLoading();
		}		
	});
});


/***********************
 * SUPPRIME UNE RECETTE *
 * @event ONCLICK
 */

$('a.del').live('click',function()
{
	var pk 	= $(this).parents('tr').find('a.editable').attr('data-pk');
	var ajx = $(this).parents('tr').find('a.editable').attr('data-ajx');
	
	swal({
		title: 'Supprimer cette ligne ?',
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx='+ajx+'&mod=del&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/compta-params/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
});


/*********************************************
 * IMPORTE DES RECETTE D'UNE SAISON ANTERIEURE *
 * @event ONCLICK
 */
 
$('#importRecette').live('click',function(e)
{
	e.preventDefault();
	
	var code 			= $(this).attr('data-code');	
	var selectSaison 	= $('#selectSaison').html();
	
	swal({
		title: 'Choisissez une saison',
		html: selectSaison,
		showCancelButton: true,
		confirmButtonText: 'Valider',
		cancelButtonText: 'Annuler',
		showLoaderOnConfirm: true,
		allowOutsideClick: false,
		reverseButtons: true,
		preConfirm: function () 
		{
			return new Promise(function (resolve) 
			{
			  resolve([
					$('#swal-input1').val(),
			  ])
			})		
		}
	}).then(function(result) 
	{
		swal.resetDefaults();
		var data = JSON.stringify(result);
		
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=31&data='+data,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/compta-params/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
		
		  
	}).catch(swal.noop);
	
	return false;
});


/*********************************************
 * IMPORTE DES DEPENSES D'UNE SAISON ANTERIEURE *
 * @event ONCLICK
 */
 
$('#importDepense').live('click',function(e)
{
	e.preventDefault();
	
	var code 			= $(this).attr('data-code');	
	var selectSaison 	= $('#selectSaison').html();
	
	swal({
		title: 'Choisissez une saison',
		html: selectSaison,
		showCancelButton: true,
		confirmButtonText: 'Valider',
		cancelButtonText: 'Annuler',
		showLoaderOnConfirm: true,
		allowOutsideClick: false,
		reverseButtons: true,
		preConfirm: function () 
		{
			return new Promise(function (resolve) 
			{
			  resolve([
					$('#swal-input1').val(),
			  ])
			})		
		}
	}).then(function(result) 
	{
		swal.resetDefaults();
		var data = JSON.stringify(result);
		
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=32&data='+data,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/compta-params/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
		
		  
	}).catch(swal.noop);
	
	return false;
});