
/***********************
 * FLAT PICKR *
 */	
 
flatpickr('#dateD,#dateF', { dateFormat: 'd/m/Y', allowInput: true});

/***********************
 * VALIDATION DU FORMULAIRE *
 * @event ONSUBMIT
 */	

$('.formStd').live('submit',function(e) 
{
	e.preventDefault();
	
	var input = $(this).find('input,select,textarea');
	var datas = $(input).serialize();
	
	$.ajax(
	{
		type		: 'POST',
		url			: '/scm/ajax/global.ajx.php',
		data		: 'typeAjx=1&'+datas,
		dataType	: 'json',
		beforeSend 	: function()
		{
			clearTimeout(loadingTimer);
			loadingTimer = setTimeout(showLoading,3000);
		},
		success		: function(data)
		{
			if(data['erreur']!=='' && data['erreur']!=null)
			{
				swal('Erreur!',data['erreur'],'error');
			}
			else
			{				
				swal({
					title: 'Bravo!', 
					text: data['reponse'], 
					type: 'success'
				}).then(function(){ location.href = '/scm/'+langue+'/saison/'; });								
			}
		},
		complete 	: function()
		{
			clearTimeout(loadingTimer);
			hideLoading();
		}		
	});	
});

/***********************
 * SELECTION D'UNE SAISON *
 * @event ONCHANGE
 */	

$('#choixSaison').live('change',function(e)
{
	e.preventDefault();
	
	var saisonId = $(this).val();
	
	if(saisonId!=='-')
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=2&saisonId='+saisonId,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/saison/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});
	}
	else
	{
		swal('Erreur!','Vous devez choisir une saison','error');
	}
});

/***********************
 * SUPPRIMER UNE SAISON *
 * @event OnClick
 */	

$('a.del').live('click',function(e) 
{
	var pk = $(this).attr('data-pk');
	
	swal({
		title: 'Supprimer la saison ?',
		text: 'Attention! La suppression de la saison entrainera la perte de vos données.',
		type: 'warning',
		showCancelButton: true,
		reverseButtons: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=24&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/saison/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});	
});