/**
 * Simple Jquery Form Builder (SJFB)
 * Copyright (c) 2015 Brandon Hoover, Hoover Web Development LLC (http://bhoover.com)
 * http://bhoover.com/simple-jquery-form-builder/
 * SJFB may be freely distributed under the included MIT license (license.txt).
 */

//generates the form HTML
function generateForm(formID) 
{
    //empty out the preview area
    $("#sjfb-fields").empty();
	var theCode = '';

    $.getJSON('/scm/ajax/sjfb-load.php?form_id=' + formID, function(data) 
	{
        if (data) {
            //go through each saved field object and render the form HTML
            $.each( data, function( k, v ) 
			{
                var fieldType = v['type'];

                //Add the field
                $('#sjfb-fields').append(addFieldHTML(fieldType,v['name'],v['label']));
				theCode += addFieldHTML(fieldType,v['name'],v['label']);
				
                var $currentField = $('#sjfb-fields .sjfb-field').last();

                //Add the label
                // $currentField.find('label').text();

                //Any choices?
                if (v['choices']) 
				{
                    // var uniqueID = Math.floor(Math.random()*999999)+1;
                    var uniqueID = v['name'];				

                    $.each( v['choices'], function( k, v ) 
					{
                        if (fieldType == 'select') 
						{
                            var selected = v['sel'] ? ' selected' : '';
                            var choiceHTML = '<option' + selected + ' value="' + v['val'] + '">' + v['label'] + '</option>';
                            $currentField.find(".choices").append(choiceHTML);
							theCode += choiceHTML;
                        }

                        else if (fieldType == 'radio') {
                            var selected = v['sel'] ? ' checked' : '';
                            var choiceHTML = '<label><input type="radio" name="radio-' + uniqueID + '"' + selected + ' value="' + v['label'] + '">' + v['label'] + '</label>';
                            $currentField.find(".choices").append(choiceHTML);
							theCode += choiceHTML;
                        }

                        else if (fieldType == 'checkbox') {
                            var selected = v['sel'] ? ' checked' : '';
                            var choiceHTML = '<label><input type="checkbox" name="checkbox-' + uniqueID + '[]"' + selected + ' value="' + v['label'] + '">' + v['label'] + '</label>';
                            $currentField.find(".choices").append(choiceHTML);
							theCode += choiceHTML;
                        }

                    });
                }

                //Is it required?
                if (v['req']) 
				{
                    if (fieldType == 'text') { $currentField.find("input").prop('required',true).addClass('required-choice') }
                    else if (fieldType == 'textarea') { $currentField.find("textarea").prop('required',true).addClass('required-choice') }
                    else if (fieldType == 'select') { $currentField.find("select").prop('required',true).addClass('required-choice') }
                    else if (fieldType == 'radio') { $currentField.find("input").prop('required',true).addClass('required-choice') }
                    $currentField.addClass('required-field');
                }

            });
        }
		
		$('#theCodeTwo').val('<form action="/scm/ajax/crossdomain.ajx.php" method="get">'+theCode+'<input type="hidden" name="typeAjx" value="2" /><input type="submit" value="Valider" /></form>');

        //HTML templates for rendering frontend form fields
        function addFieldHTML(fieldType,name,label) 
		{
            // var uniqueID = Math.floor(Math.random()*999999)+1;
			var uniqueID = name;

            switch (fieldType) 
			{
                case 'text':
                    return '' +
                        '<div id="sjfb-' + uniqueID + '" class="sjfb-field sjfb-text">' +
                        '<label for="text-' + uniqueID + '">' + label + '</label>' +
                        '<input type="text" id="text-' + uniqueID + '" name="sjfb-' + uniqueID + '" >' +
                        '</div>';

                case 'file':
                    return '' +
                        '<div id="sjfb-' + uniqueID + '" class="sjfb-field sjfb-text">' +
                        '<label for="text-' + uniqueID + '">' + label + '</label>' +
                        '<input type="file" id="text-' + uniqueID + '" name="sjfb-' + uniqueID + '" >' +
                        '</div>';
						
                case 'textarea':
                    return '' +
                        '<div id="sjfb-' + uniqueID + '" class="sjfb-field sjfb-textarea">' +
                        '<label for="textarea-' + uniqueID + '">' + label + '</label>' +
                        '<textarea id="textarea-' + uniqueID + '" name="sjfb-' + uniqueID + '"></textarea>' +
                        '</div>';

                case 'select':
                    return '' +
                        '<div id="sjfb-' + uniqueID + '" class="sjfb-field sjfb-select">' +
                        '<label for="select-' + uniqueID + '">' + label + '</label>' +
                        '<select id="select-' + uniqueID + '" name="sjfb-' + uniqueID + '"class="choices choices-select"></select>' +
                        '</div>';

                case 'radio':
                    return '' +
                        '<div id="sjfb-' + uniqueID + '" class="sjfb-field sjfb-radio">' +
                        '<label>' + label + '</label>' +
                        '<div class="choices choices-radio"></div>' +
                        '</div>';

                case 'checkbox':
                    return '' +
                        '<div id="sjfb-checkbox-' + uniqueID + '" class="sjfb-field sjfb-checkbox">' +
                        '<label class="sjfb-label">' + label + '</label>' +
                        '<div class="choices choices-checkbox"></div>' +
                        '</div>';

                case 'agree':
                    return '' +
                        '<div id="sjfb-agree-' + uniqueID + '" class="sjfb-field sjfb-agree required-field">' +
                        '<input type="checkbox" required>' +
                        '<label>' + label + '</label>' +
                        '</div>'
            }
        }
    });
}