-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Client :  127.0.0.1
-- Gnr le :  Jeu 02 Aot 2018  10:19
-- Version du serveur :  5.6.17
-- Version de PHP :  5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Base de donnes :  `scm`
--

-- --------------------------------------------------------

--
-- Structure de la table `scm_adhesion`
--

CREATE TABLE IF NOT EXISTS `scm_adhesion` (
  `adhesion_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `adhesion_club` int(10) unsigned NOT NULL,
  `adhesion_nom` varchar(100) NOT NULL,
  PRIMARY KEY (`adhesion_id`),
  KEY `adhesion_club` (`adhesion_club`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_admin`
--

CREATE TABLE IF NOT EXISTS `scm_admin` (
  `admin_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `admin_login` varchar(200) NOT NULL,
  `admin_pass` varchar(255) NOT NULL,
  `admin_nom` varchar(255) NOT NULL,
  `admin_prenom` varchar(255) NOT NULL,
  `admin_type` ENUM('admin','prof') NOT NULL,
  `admin_active` tinyint(4) NOT NULL,
  PRIMARY KEY (`admin_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_club`
--

CREATE TABLE IF NOT EXISTS `scm_club` (
  `club_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `club_nom` varchar(100) NOT NULL,
  `club_adresse` text NOT NULL,
  `club_cp` varchar(10) NOT NULL,
  `club_ville` varchar(100) NOT NULL,
  `club_tel` varchar(15) NOT NULL,
  `club_email` varchar(100) NOT NULL,
  `club_siret` varchar(255) NOT NULL,
  `club_licence` text,
  `club_champerso` longtext,
  `club_adminprof` longtext DEFAULT NULL,
  `club_script` text,
  `club_stripe_key` varchar(100) DEFAULT NULL,
  `club_stripe_secret` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`club_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_colperso`
--

CREATE TABLE IF NOT EXISTS `scm_colperso` (
  `colperso_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `colperso_nom` varchar(255) NOT NULL,
  `colperso_param` text NOT NULL,
  PRIMARY KEY (`colperso_id`),
  UNIQUE KEY `colperso_nom` (`colperso_nom`),
  KEY `colperso_nom_2` (`colperso_nom`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_compta`
--

CREATE TABLE IF NOT EXISTS `scm_compta` (
  `compta_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `compta_idligne` int(10) NOT NULL,
  `compta_club` int(10) unsigned NOT NULL,
  `compta_saison` int(10) unsigned NOT NULL,
  `compta_mois` int(11) NOT NULL,
  `compta_jour` int(10) NOT NULL,
  `compta_paiement` enum('cb','ch','vr','ep') NOT NULL,
  `compta_prix` double(10,2) NOT NULL,
  `compta_type` enum('recette','depense') NOT NULL,
  PRIMARY KEY (`compta_id`),
  KEY `tarif_adhesion` (`compta_saison`),
  KEY `tarif_club` (`compta_club`),
  KEY `compta_paiement` (`compta_paiement`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_cours`
--

CREATE TABLE IF NOT EXISTS `scm_cours` (
  `cours_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cours_nom` varchar(100) NOT NULL,
  `cours_club` int(10) unsigned NOT NULL,
  `cours_jour` int(10) NOT NULL,
  `cours_heureD` int(10) NOT NULL,
  `cours_heureF` int(10) NOT NULL,
  `cours_minD` int(10) NOT NULL,
  `cours_minF` int(10) NOT NULL,
  `cours_niveau` longtext NOT NULL,
  `cours_saison` int(10) unsigned NOT NULL,
  PRIMARY KEY (`cours_id`),
  KEY `cours_club` (`cours_club`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_depense`
--

CREATE TABLE IF NOT EXISTS `scm_depense` (
  `depense_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `depense_couleur` varchar(10) DEFAULT NULL,
  `depense_libelle` varchar(255) DEFAULT NULL,
  `depense_saison` int(10) unsigned NOT NULL
  PRIMARY KEY (`depense_id`),
  KEY `depense_saison` (`depense_saison`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_grade`
--

CREATE TABLE IF NOT EXISTS `scm_grade` (
  `grade_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `grade_club` int(10) unsigned NOT NULL,
  `grade_nom` varchar(100) NOT NULL,
  `grade_niveau` int(10) DEFAULT NULL,
  `grade_couleur` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`grade_id`),
  KEY `grade_club` (`grade_club`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_licence`
--

CREATE TABLE IF NOT EXISTS `scm_licence` (
  `licence_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `licence_domain` varchar(255) NOT NULL,
  `licence_dateD` int(11) NOT NULL,
  `licence_dateF` int(11) NOT NULL,
  `licence_token` text NOT NULL,
  `licence_nbuser` int(10) NOT NULL,
  `licence_active` tinyint(5) NOT NULL,
  PRIMARY KEY (`licence_id`),
  KEY `licence_id` (`licence_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `scm_membre`
--

CREATE TABLE IF NOT EXISTS `scm_membre` (
  `membre_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `membre_code` varchar(10) NOT NULL,
  `membre_club` int(10) unsigned NOT NULL,
  `membre_nom` varchar(50) NOT NULL,
  `membre_prenom` varchar(50) NOT NULL,
  `membre_date` int(11) NOT NULL,
  `membre_saison` int(10) NOT NULL,
  `membre_adresse` text NOT NULL,
  `membre_cp` varchar(10) NOT NULL,
  `membre_ville` varchar(100) NOT NULL,
  `membre_email` varchar(100) NOT NULL,
  `membre_pass` varchar(255) DEFAULT NULL,
  `membre_tel` varchar(15) NOT NULL,
  `membre_civ` enum('m','mme') NOT NULL,
  `membre_naissance` int(11) DEFAULT NULL,
  `membre_adhesion` int(10) DEFAULT NULL,
  `membre_grade` int(10) DEFAULT NULL,
  `membre_etat` enum('inscrit','actif') NOT NULL DEFAULT 'inscrit',
  `membre_cotisation` double(10,2) DEFAULT NULL,
  `membre_colperso` longtext,
  `membre_prof` TINYINT(5) DEFAULT NULL,
  `membre_delete` tinyint(5) DEFAULT NULL,
  PRIMARY KEY (`membre_id`),
  KEY `membre_club` (`membre_club`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_paiement`
--

CREATE TABLE IF NOT EXISTS `scm_paiement` (
  `paiement_id` int(10) unsigned NOT NULL AUTO_INCREMENT,  
  `paiement_saison` int(10) unsigned NOT NULL,  
  `paiement_ref` varchar(10) DEFAULT NULL,
  `paiement_montant` double(10,2) NOT NULL,
  `paiement_membre` int(10) NOT NULL,
  `paiement_email` varchar(100) DEFAULT NULL,
  `paiement_date` int(11) NOT NULL,
  `paiement_mois` varchar(10) NOT NULL,
  `paiement_type` enum('cb','ch','vr','ep') NOT NULL,
  `paiement_statut` enum('encours','annule','valide') NOT NULL DEFAULT 'encours',
  PRIMARY KEY (`paiement_id`),
  KEY `paiement_membre` (`paiement_membre`),
  KEY `paiement_saison` (`paiement_saison`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_planning`
--

CREATE TABLE IF NOT EXISTS `scm_planning` (
  `planning_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planning_cours` int(10) unsigned DEFAULT NULL,
  `planning_technique` int(10) unsigned DEFAULT NULL,
  `planning_sujet` tinyint(5) DEFAULT NULL,
  `planning_prof` int(10) unsigned DEFAULT NULL,
  `planning_date` int(11) DEFAULT NULL,
  PRIMARY KEY (`planning_id`),
  KEY `planning_cours` (`planning_cours`),
  KEY `planning_technique` (`planning_technique`),
  KEY `planning_prof` (`planning_prof`),
  KEY `planning_date` (`planning_date`),
  KEY `planning_sujet` (`planning_sujet`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_prof`
--

CREATE TABLE IF NOT EXISTS `scm_prof` (
  `prof_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `prof_club` int(10) unsigned NOT NULL,
  `prof_saison` int(10) unsigned NOT NULL,
  `prof_nom` varchar(100) NOT NULL,
  `prof_prenom` varchar(100) NOT NULL,
  `prof_discipline` varchar(255) NOT NULL,
  `prof_grade` varchar(100) NOT NULL,
  PRIMARY KEY (`prof_id`),
  KEY `prof_club` (`prof_club`),
  KEY `prof_saison` (`prof_saison`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_recette`
--

CREATE TABLE IF NOT EXISTS `scm_recette` (
  `recette_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `recette_couleur` varchar(10) DEFAULT NULL,
  `recette_libelle` varchar(255) DEFAULT NULL,
  `recette_saison` int(10) unsigned NOT NULL,
  PRIMARY KEY (`recette_id`),
  KEY `recette_saison` (`recette_saison`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_rubrique_de`
--

CREATE TABLE IF NOT EXISTS `scm_rubrique_de` (
  `rubrique_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rubrique_ordre` int(5) DEFAULT NULL,
  `rubrique_parent_id` int(10) unsigned DEFAULT NULL,
  `rubrique_tpl` varchar(255) NOT NULL,
  `rubrique_url` varchar(255) NOT NULL,
  `rubrique_metatitle` varchar(60) DEFAULT NULL,
  `rubrique_metadescription` text,
  `rubrique_title` varchar(255) NOT NULL,
  `rubrique_h1` varchar(100) DEFAULT NULL,
  `rubrique_h2` varchar(255) DEFAULT NULL,
  `rubrique_desc` text,
  PRIMARY KEY (`rubrique_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_rubrique_en`
--

CREATE TABLE IF NOT EXISTS `scm_rubrique_en` (
  `rubrique_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rubrique_ordre` int(5) DEFAULT NULL,
  `rubrique_parent_id` int(10) unsigned DEFAULT NULL,
  `rubrique_tpl` varchar(255) NOT NULL,
  `rubrique_url` varchar(255) NOT NULL,
  `rubrique_metatitle` varchar(60) DEFAULT NULL,
  `rubrique_metadescription` text,
  `rubrique_title` varchar(255) NOT NULL,
  `rubrique_h1` varchar(100) DEFAULT NULL,
  `rubrique_h2` varchar(255) DEFAULT NULL,
  `rubrique_desc` text,
  PRIMARY KEY (`rubrique_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_rubrique_es`
--

CREATE TABLE IF NOT EXISTS `scm_rubrique_es` (
  `rubrique_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rubrique_ordre` int(5) DEFAULT NULL,
  `rubrique_parent_id` int(10) unsigned DEFAULT NULL,
  `rubrique_tpl` varchar(255) NOT NULL,
  `rubrique_url` varchar(255) NOT NULL,
  `rubrique_metatitle` varchar(60) DEFAULT NULL,
  `rubrique_metadescription` text,
  `rubrique_title` varchar(255) NOT NULL,
  `rubrique_h1` varchar(100) DEFAULT NULL,
  `rubrique_h2` varchar(255) DEFAULT NULL,
  `rubrique_desc` text,
  PRIMARY KEY (`rubrique_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_rubrique_fr`
--

CREATE TABLE IF NOT EXISTS `scm_rubrique_fr` (
  `rubrique_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rubrique_ordre` int(5) DEFAULT NULL,
  `rubrique_parent_id` int(10) unsigned DEFAULT NULL,
  `rubrique_tpl` varchar(255) NOT NULL,
  `rubrique_url` varchar(255) NOT NULL,
  `rubrique_metatitle` varchar(60) DEFAULT NULL,
  `rubrique_metadescription` text,
  `rubrique_title` varchar(255) NOT NULL,
  `rubrique_h1` varchar(100) DEFAULT NULL,
  `rubrique_h2` varchar(255) DEFAULT NULL,
  `rubrique_desc` text,
  PRIMARY KEY (`rubrique_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_saison`
--

CREATE TABLE IF NOT EXISTS `scm_saison` (
  `saison_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `saison_nom` varchar(255) NOT NULL,
  `saison_debut` int(11) NOT NULL,
  `saison_fin` int(11) NOT NULL,
  `saison_inscription` int(11) NOT NULL,
  PRIMARY KEY (`saison_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_tarif`
--

CREATE TABLE IF NOT EXISTS `scm_tarif` (
  `tarif_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tarif_club` int(10) unsigned NOT NULL,
  `tarif_adhesion` int(10) unsigned NOT NULL,
  `tarif_mois` varchar(50) NOT NULL,
  `tarif_annee` varchar(50) NOT NULL,
  `tarif_saison` int(10) unsigned NOT NULL,
  `tarif_prix` double(10,2) NOT NULL,
  PRIMARY KEY (`tarif_id`),
  KEY `tarif_adhesion` (`tarif_adhesion`),
  KEY `tarif_club` (`tarif_club`),
  KEY `tarif_saison` (`tarif_saison`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `scm_technique`
--

CREATE TABLE IF NOT EXISTS `scm_technique` (
  `technique_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `technique_club` int(10) unsigned NOT NULL,
  `technique_grade` int(10) unsigned NOT NULL,
  `technique_nom` varchar(255) NOT NULL,
  PRIMARY KEY (`technique_id`),
  KEY `technique_club` (`technique_club`,`technique_grade`),
  KEY `technique_grade` (`technique_grade`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Contraintes pour les tables exportes
--

--
-- Contraintes pour la table `scm_planning`
--
ALTER TABLE `scm_planning`
  ADD CONSTRAINT `scm_planning_ibfk_1` FOREIGN KEY (`planning_cours`) REFERENCES `scm_cours` (`cours_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `scm_planning_ibfk_2` FOREIGN KEY (`planning_technique`) REFERENCES `scm_technique` (`technique_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `scm_technique`
--
ALTER TABLE `scm_technique`
  ADD CONSTRAINT `scm_technique_ibfk_1` FOREIGN KEY (`technique_grade`) REFERENCES `scm_grade` (`grade_id`) ON DELETE CASCADE ON UPDATE CASCADE;

  
--
-- Contenu de la table `scm_admin`
--

INSERT INTO `scm_admin` (`admin_id`, `admin_login`, `admin_pass`, `admin_nom`, `admin_prenom`, `admin_active`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Admin', '', 1);

--
-- Contenu de la table `scm_rubrique_de`
--

INSERT INTO `scm_rubrique_de` (`rubrique_id`, `rubrique_ordre`, `rubrique_parent_id`, `rubrique_tpl`, `rubrique_url`, `rubrique_metatitle`, `rubrique_metadescription`, `rubrique_title`, `rubrique_h1`, `rubrique_h2`, `rubrique_desc`) VALUES
(1, 1, NULL, 'connexion', 'einloggen', 'Einloggen', 'Einloggen', 'Einloggen', 'Einloggen', NULL, NULL),
(2, 1, NULL, 'dashboard', 'dashboard', 'Dashboard', 'Dashboard', 'Dashboard', 'Dashboard', NULL, NULL),
(3, 2, NULL, 'saison', 'saison', 'Saison', 'Saison', 'Saison', 'Saison', NULL, NULL),
(4, 1, 18, 'club', 'der-club', 'Der Club', 'Der Club', 'Der Club', 'Der Club', NULL, NULL),
(5, 4, NULL, 'membres', 'mitglieder', 'Mitglieder', 'Mitglieder', 'Mitglieder', 'Mitglieder', NULL, NULL),
(6, 4, 18, 'cours', 'kurse', 'Kurse', 'Kurse', 'Kurse', 'Kurse', NULL, NULL),
(7, 7, NULL, 'administratif', 'administrativ', 'Administrativ', 'Administrativ', 'Administrativ', 'Administrativ', NULL, NULL),
(8, NULL, 8, 'discipline', 'disziplin', 'Disziplin', 'Disziplin', 'Disziplin', 'Disziplin', NULL, NULL),
(9, 2, 18, 'grades', 'reihen', 'Reihen', 'Reihen', 'Reihen', 'Reihen', NULL, NULL),
(10, NULL, 10, 'lieux', 'ubungsort', 'bungsort', 'bungsort', 'bungsort', 'bungsort', NULL, NULL),
(11, NULL, 11, 'calendrier', 'stundenplan', 'Stundenplan', 'Stundenplan', 'Stundenplan', 'Stundenplan', NULL, NULL),
(12, 7, 18, 'tarifs', 'preise', 'Preise', 'Preise', 'Preise', 'Preise', NULL, NULL),
(13, 5, 18, 'profs', 'die-lehrer', 'Die Lehrer', 'Die Lehrer', 'Die Lehrer', 'Die Lehrer', NULL, NULL),
(14, NULL, 14, 'depenses', 'ausgabe', 'Ausgabe', 'Ausgabe', 'Ausgabe', 'Ausgabe', NULL, NULL),
(15, NULL, 15, 'recettes', 'einknfte', 'Einknfte', 'Einknfte', 'Einknfte', 'Einknfte', NULL, NULL),
(16, 6, NULL, 'comptabilite', 'buchhaltung', 'Buchhaltung', 'Buchhaltung', 'Buchhaltung', 'Buchhaltung', NULL, NULL),
(17, NULL, 17, 'membres-details', 'mitglieder', 'Mitglieder', 'Mitglieder', 'Mitglieder', 'Mitglieder', NULL, NULL),
(18, 3, NULL, 'parametres', 'parameter', 'Parameter', 'Parameter', 'Parameter', 'Parameter', NULL, NULL),
(19, 3, 18, 'techniques', 'techniques', 'Techniques', 'Techniques', 'Techniques', 'Techniques', NULL, NULL),
(20, 5, NULL, 'planning', 'stundenplan', 'Stundenplan', 'Stundenplan', 'Stundenplan', 'Stundenplan', NULL, NULL),
(21, 7, 18, 'compta-params', 'buchhaltung', 'Buchhaltung', 'Buchhaltung', 'Buchhaltung', 'Buchhaltung', NULL, NULL),
(22, 6, 18, 'membres-params', 'mitglieder', 'Mitglieder', 'Mitglieder', 'Mitglieder', 'Mitglieder', NULL, NULL),
(23, 1, 7, 'import', 'import', 'Import', 'Import', 'Import', 'Import', NULL, NULL),
(24, 1, 7, 'export', 'export', 'Export', 'Export', 'Export', 'Export', NULL, NULL),
(25, 25, 25, 'membres-connexion', 'mitglieder-Login', 'Mitglieder Login', 'Mitglieder Login', 'Mitglieder Login', 'Mitglieder Login', NULL, NULL),
(26, 25, 25, 'membres-compte', 'mitgliederkonto', 'Mitgliederkonto', 'Mitgliederkonto', 'Mitgliederkonto', 'Mitgliederkonto', NULL, NULL),
(27, 9, 18, 'paiement', 'zahlung', 'Zahlung', 'Zahlung', 'Zahlung', 'Zahlung', NULL, NULL),
(28, 25, 25, 'membres-reinscription', 'neuanmeldung-der-mitglieder', 'Neuanmeldung der Mitglieder', 'Neuanmeldung der Mitglieder', 'Neuanmeldung der Mitglieder', 'Neuanmeldung der Mitglieder', NULL, NULL);

--
-- Contenu de la table `scm_rubrique_en`
--

INSERT INTO `scm_rubrique_en` (`rubrique_id`, `rubrique_ordre`, `rubrique_parent_id`, `rubrique_tpl`, `rubrique_url`, `rubrique_metatitle`, `rubrique_metadescription`, `rubrique_title`, `rubrique_h1`, `rubrique_h2`, `rubrique_desc`) VALUES
(1, 1, NULL, 'connexion', 'log-in', 'Log in', 'Log In', 'Log in', 'Log in', NULL, NULL),
(2, 1, NULL, 'dashboard', 'dashboard', 'Dashboard', 'Dashboard', 'Dashboard', 'Dashboard', NULL, NULL),
(3, 2, NULL, 'saison', 'season', 'Season', 'Season', 'Season', 'Season', NULL, NULL),
(4, 1, 18, 'club', 'the-club', 'The club', 'The club', 'The club', 'The club', NULL, NULL),
(5, 4, NULL, 'membres', 'members', 'Members', 'Members', 'Members', 'Members', NULL, NULL),
(6, 4, 18, 'cours', 'lessons', 'Lessons', 'Lessons', 'Lessons', 'Lessons', NULL, NULL),
(7, 7, NULL, 'administratif', 'administrative', 'Administrative', 'Administrative', 'Administrative', 'Administrative', NULL, NULL),
(8, NULL, 8, 'discipline', 'discipline', 'Discipline', 'Discipline', 'Discipline', 'Discipline', NULL, NULL),
(9, 2, 18, 'grades', 'ranks', 'Ranks', 'Ranks', 'Ranks', 'Ranks', NULL, NULL),
(10, NULL, 10, 'lieux', 'practice-places', 'Practice places', 'Practice places', 'Practice places', 'Practice places', NULL, NULL),
(11, NULL, 11, 'calendrier', 'course-schedule', 'Course schedule', 'Course schedule', 'Course schedule', 'Course schedule', NULL, NULL),
(12, 7, 18, 'tarifs', 'prices', 'Prices', 'Prices', 'Prices', 'Prices', NULL, NULL),
(13, 5, 18, 'profs', 'teachers', 'Teachers', 'Teachers', 'Teachers', 'Teachers', NULL, NULL),
(14, NULL, 14, 'depenses', 'spending', 'Spending', 'Spending', 'Spending', 'Spending', NULL, NULL),
(15, NULL, 15, 'recettes', 'receipts', 'Receipts', 'Receipts', 'Receipts', 'Receipts', NULL, NULL),
(16, 6, NULL, 'comptabilite', 'accounting', 'Accounting', 'Accounting', 'Accounting', 'Accounting', NULL, NULL),
(17, NULL, 17, 'membres-details', 'member-details', 'Member details', 'Member details', 'Member details', 'Member details', NULL, NULL),
(18, 3, NULL, 'parametres', 'settings', 'Settings', 'Settings', 'Settings', 'Settings', NULL, NULL),
(19, 3, 18, 'techniques', 'techniques', 'Techniques', 'Techniques', 'Techniques', 'Techniques', NULL, NULL),
(20, 5, NULL, 'planning', 'course-schedule', 'Course schedule', 'Course schedule', 'Course schedule', 'Course schedule', NULL, NULL),
(21, 7, 18, 'compta-params', 'accounting', 'Accounting', 'Accounting', 'Accounting', 'Accounting', NULL, NULL),
(22, 6, 18, 'membres-params', 'the-members', 'The members', 'The members', 'The members', 'The members', NULL, NULL),
(23, 1, 7, 'import', 'import', 'Import', 'Import', 'Import', 'Import', NULL, NULL),
(24, 1, 7, 'export', 'export', 'Export', 'Export', 'Export', 'Export', NULL, NULL),
(25, 25, 25, 'membres-connexion', 'members-login', 'Members login', 'Members login', 'Members login', 'Members login', NULL, NULL),
(26, 25, 25, 'membres-compte', 'members-account', 'Membres compte', 'Members account', 'Members account', 'Members account', NULL, NULL),
(27, 9, 18, 'paiement', 'paiement', 'Paiement', 'Paiement', 'Paiement', 'Paiement', NULL, NULL),
(28, 25, 25, 'membres-reinscription', 'members-reinscription', 'Members reinscription', 'Members reinscription', 'Members reinscription', 'Members reinscription', NULL, NULL);

--
-- Contenu de la table `scm_rubrique_es`
--

INSERT INTO `scm_rubrique_es` (`rubrique_id`, `rubrique_ordre`, `rubrique_parent_id`, `rubrique_tpl`, `rubrique_url`, `rubrique_metatitle`, `rubrique_metadescription`, `rubrique_title`, `rubrique_h1`, `rubrique_h2`, `rubrique_desc`) VALUES
(1, 1, NULL, 'connexion', 'acceder', 'Acceder', 'Acceder', 'Acceder', 'Acceder', NULL, NULL),
(2, 1, NULL, 'dashboard', 'salpicadero', 'Salpicadero', 'Salpicadero', 'Salpicadero', 'Salpicadero', NULL, NULL),
(3, 2, NULL, 'saison', 'temporada', 'Temporada', 'Temporada', 'Temporada', 'Temporada', NULL, NULL),
(4, 1, 18, 'club', 'el-club', 'El club', 'El club', 'El club', 'El club', NULL, NULL),
(5, 4, NULL, 'membres', 'miembros', 'Miembros', 'Miembros', 'Miembros', 'Miembros', NULL, NULL),
(6, 4, 18, 'cours', 'los-cursos', 'Los cursos', 'Los cursos', 'Los cursos', 'Los cursos', NULL, NULL),
(7, 7, NULL, 'administratif', 'administrativo', 'Administrativo', 'Administrativo', 'Administrativo', 'Administrativo', NULL, NULL),
(8, NULL, 8, 'discipline', 'disciplina', 'Disciplina', 'Disciplina', 'Disciplina', 'Disciplina', NULL, NULL),
(9, 2, 18, 'grades', 'filas', 'Filas', 'Filas', 'Filas', 'Filas', NULL, NULL),
(10, NULL, 10, 'lieux', 'lugares-de-practica', 'Lugares de practica', 'Lugares de practica', 'Lugares de practica', 'Lugares de practica', NULL, NULL),
(11, NULL, 11, 'calendrier', 'horario-del-curso', 'Horario del curso', 'Horario del curso', 'Horario del curso', 'Horario del curso', NULL, NULL),
(12, 7, 18, 'tarifs', 'tarifas', 'Tarifas', 'Tarifas', 'Tarifas', 'Tarifas', NULL, NULL),
(13, 5, 18, 'profs', 'los-profes', 'Los profes', 'Los profes', 'Los profes', 'Los profes', NULL, NULL),
(14, NULL, 14, 'depenses', 'gasto', 'Gasto', 'Gasto', 'Gasto', 'Gasto', NULL, NULL),
(15, NULL, 15, 'recettes', 'ingresos', 'Ingresos', 'Ingresos', 'Ingresos', 'Ingresos', NULL, NULL),
(16, 6, NULL, 'comptabilite', 'contabilidad', 'Contabilidad', 'Contabilidad', 'Contabilidad', 'Contabilidad', NULL, NULL),
(17, NULL, 17, 'membres-details', 'detalles-del-miembro', 'Detalles del miembro', 'Detalles del miembro', 'Detalles del miembro', 'Detalles del miembro', NULL, NULL),
(18, 3, NULL, 'parametres', 'parametro', 'Parmetro', 'Parmetro', 'Parmetro', 'Parmetro', NULL, NULL),
(19, 3, 18, 'techniques', 'tecnica', 'Tcnica', 'Tcnica', 'Tcnica', 'Tcnica', NULL, NULL),
(20, 5, NULL, 'planning', 'horario-del-curso', 'Horario del curso', 'Horario del curso', 'Horario del curso', 'Horario del curso', NULL, NULL),
(21, 7, 18, 'compta-params', 'contabilidad', 'Contabilidad', 'Contabilidad', 'Contabilidad', 'Contabilidad', NULL, NULL),
(22, 6, 18, 'membres-params', 'los-miembros', 'Les membres', 'Los miembros', 'Los miembros', 'Los miembros', NULL, NULL),
(23, 1, 7, 'import', 'importacion', 'Importacin', 'Importacin', 'Importacin', 'Importacin', NULL, NULL),
(24, 1, 7, 'export', 'exportacion', 'Exportacin', 'Exportacin', 'Exportacin', 'Exportacin', NULL, NULL),
(25, 25, 25, 'membres-connexion', 'acceso-de-miembros', 'Acceso de miembros', 'Acceso de miembros', 'Acceso de miembros', 'Acceso de miembros', NULL, NULL),
(26, 25, 25, 'membres-compte', 'cuenta-de-miembros', 'Cuenta de miembros', 'Cuenta de miembros', 'Cuenta de miembros', 'Cuenta de miembros', NULL, NULL),
(27, 9, 18, 'paiement', 'pago', 'Pago', 'Pago', 'Pago', 'Pago', NULL, NULL),
(28, 25, 25, 'membres-reinscription', 'reinscripcion-de-miembros', 'Reinscripcin de miembros', 'Reinscripcin de miembros', 'Reinscripcin de miembros', 'Reinscripcin de miembros', NULL, NULL);

--
-- Contenu de la table `scm_rubrique_fr`
--

INSERT INTO `scm_rubrique_fr` (`rubrique_id`, `rubrique_ordre`, `rubrique_parent_id`, `rubrique_tpl`, `rubrique_url`, `rubrique_metatitle`, `rubrique_metadescription`, `rubrique_title`, `rubrique_h1`, `rubrique_h2`, `rubrique_desc`) VALUES
(1, 1, NULL, 'connexion', 'connexion', 'Connexion', 'Connexion', 'Connexion', 'Connexion', NULL, NULL),
(2, 1, NULL, 'dashboard', 'dashboard', 'Tableau de bord', 'Tableau de bord', 'Tableau de bord', 'Tableau de bord', NULL, NULL),
(3, 2, NULL, 'saison', 'saison', 'Saison', 'Saison', 'Saison', 'Saison', NULL, NULL),
(4, 1, 18, 'club', 'club', 'Le club', 'Le club', 'Le club', 'Le club', NULL, NULL),
(5, 4, NULL, 'membres', 'membres', 'Membres', 'Membres', 'Membres', 'Membres', NULL, NULL),
(6, 4, 18, 'cours', 'cours', 'Les cours', 'Les cours', 'Les cours', 'Les cours', NULL, NULL),
(7, 7, NULL, 'administratif', 'administratif', 'Administratif', 'Administratif', 'Administratif', 'Administratif', NULL, NULL),
(8, NULL, 8, 'discipline', 'discipline', 'Discipline', 'Discipline', 'Discipline', 'Discipline', NULL, NULL),
(9, 2, 18, 'grades', 'grades', 'Grades', 'Grades', 'Grades', 'Grades', NULL, NULL),
(10, NULL, 10, 'lieux', 'lieux', 'Lieux de pratique', 'Lieux de pratique', 'Lieux de pratique', 'Lieux de pratique', NULL, NULL),
(11, NULL, 11, 'calendrier', 'calendrier', 'Calendrier des cours', 'Calendrier des cours', 'Calendrier des cours', 'Calendrier des cours', NULL, NULL),
(12, 7, 18, 'tarifs', 'tarifs', 'Tarifs', 'Tarifs', 'Tarifs', 'Tarifs', NULL, NULL),
(13, 5, 18, 'profs', 'profs', 'Les profs', 'Les profs', 'Les profs', 'Les profs', NULL, NULL),
(14, NULL, 14, 'depenses', 'depenses', 'Dpenses', 'Dpenses', 'Dpenses', 'Dpenses', NULL, NULL),
(15, NULL, 15, 'recettes', 'recettes', 'Recettes', 'Recettes', 'Recettes', 'Recettes', NULL, NULL),
(16, 6, NULL, 'comptabilite', 'comptabilite', 'Comptabilit', 'Comptabilit', 'Comptabilit', 'Comptabilit', NULL, NULL),
(17, NULL, 17, 'membres-details', 'membres-details', 'Dtails membre', 'Dtails membre', 'Dtails membre', 'Dtails membre', NULL, NULL),
(18, 3, NULL, 'parametres', 'parametres', 'Paramtres', 'Paramtres', 'Paramtres', 'Paramtres', NULL, NULL),
(19, 3, 18, 'techniques', 'techniques', 'Techniques', 'Techniques', 'Techniques', 'Techniques', NULL, NULL),
(20, 5, NULL, 'planning', 'planning', ' Planning des cours', 'Planning des cours', 'Planning des cours', 'Planning des cours', NULL, NULL),
(21, 7, 18, 'compta-params', 'compta-params', 'Comptabilit', 'Comptabilit', 'Comptabilit', 'Comptabilit', NULL, NULL),
(22, 6, 18, 'membres-params', 'membres-params', 'Les membres', 'Les membres', 'Les membres', 'Les membres', NULL, NULL),
(23, 1, 7, 'import', 'import', 'Import', 'Import', 'Import', 'Import', NULL, NULL),
(24, 1, 7, 'export', 'export', 'Export', 'Export', 'Export', 'Export', NULL, NULL),
(25, 25, 25, 'membres-connexion', 'membres-connexion', 'Membres connexion', 'Membres connexion', 'Membres connexion', 'Membres connexion', NULL, NULL),
(26, 25, 25, 'membres-compte', 'membres-compte', 'Membres compte', 'Membres compte', 'Membres compte', 'Membres compte', NULL, NULL),
(27, 9, 18, 'paiement', 'paiement', 'Paiement', 'Paiement', 'Paiement', 'Paiement', NULL, NULL),
(28, 25, 25, 'membres-reinscription', 'membres-reinscription', 'Membres reinscription', 'Membres reinscription', 'Membres reinscription', 'Membres reinscription', NULL, NULL);

INSERT INTO `scm_club` (`club_id`, `club_nom`, `club_adresse`, `club_cp`, `club_ville`, `club_tel`, `club_email`, `club_siret`, `club_licence`, `club_champerso`, `club_adminprof`, `club_script`, `club_stripe_key`, `club_stripe_secret`) VALUES (NULL, '', '', '', '', '', '', '', NULL, 
'[{"type":"select","label":"Civilit\u00e9","req":1,"choices":[{"label":"M.","sel":0,"val":0},{"label":"Mme","sel":0,"val":1}],"name":"civ","default":1},
{"type":"text","label":"Nom","req":1,"name":"nom","default":1},
{"type":"text","label":"Pr\u00e9nom","req":1,"name":"prenom","default":1},
{"type":"text","label":"Date de naissance (jj\/mm\/aaaa)","req":1,"name":"naissance","default":1},
{"type":"text","label":"Adresse :","req":1,"name":"adresse","default":1},
{"type":"text","label":"Code postal :","req":1,"name":"cp","default":1},
{"type":"text","label":"Ville :","req":1,"name":"ville","default":1},
{"type":"text","label":"T\u00e9l\u00e9phone portable :","req":1,"name":"tel","default":1},
{"type":"text","label":"E-mail :","req":1,"name":"email","default":1},
{"type":"file","label":"Photo :","req":1,"name":"Photo","default":1}]', NULL, NULL, NULL, NULL);